from django.urls import path, include
from .views import index

# No es necesario importar los módulos si usarás strings
urlpatterns = [
    path('', index, name='index'),

    # Usa include con strings y namespaces correctos
    path("custom/", include(("pxy_dashboard.custom.urls", "custom"), namespace="custom")),
    path("apps/", include(("pxy_dashboard.apps.urls", "apps"), namespace="apps")),
    path("components/", include(("pxy_dashboard.components.urls", "components"), namespace="components")),
    path("layouts/", include(("pxy_dashboard.layouts.urls", "layouts"), namespace="layouts")),
    path("users/", include(("pxy_dashboard.users.urls", "users"), namespace="users")),
]
